Page MenuHomePhabricator

Fix PR34668 - P0704R1 implementation is too permissive
ClosedPublic

Authored by tcanens on Sep 20 2017, 3:24 AM.

Diff Detail

Repository
rC Clang

Event Timeline

tcanens created this revision.Sep 20 2017, 3:24 AM
tcanens removed rL LLVM as the repository for this revision.

Thanks! That was an oversight on my part, sorry.

lib/Sema/SemaExprCXX.cpp
5185

I think you should update the comment to something like "also 'const', but not if they're 'volatile'."

tcanens added inline comments.Sep 20 2017, 12:57 PM
lib/Sema/SemaExprCXX.cpp
5185

"if their cv-qualifier-seq is (exactly) 'const'", maybe?

Rakete1111 added inline comments.Sep 21 2017, 9:43 AM
lib/Sema/SemaExprCXX.cpp
5185

Sure that works too :)

tcanens updated this revision to Diff 116490.Sep 24 2017, 1:23 PM

Also tweaked preceding comment.

tcanens marked 3 inline comments as done.Sep 24 2017, 1:23 PM
Rakete1111 accepted this revision.Jul 13 2018, 3:22 AM

LGTM with a small change in the error message that needs fixing.

Do you need someone to commit it?

This revision is now accepted and ready to land.Jul 13 2018, 3:22 AM

Do you need someone to commit it?

Yes, please.

Change error message to reflect the new update error message since the last revision.

This revision was automatically updated to reflect the committed changes.